[B014]Chemical Structure Details

get
https://connect.patsnap.com/chemical-openapi/compound/detail
Try in Sandbox

Get chemical structures details by InchiKey

Request Parameters

List of parameters supported by this API endpoint

NameTypeExampleDescription
inchi_key
Required
stringBSYNRYMUTXBXSQ-UHFFFAOYSA-N
Structure InchiKey

Response Schema

Structure of the API response data

Field NameTypeExampleDescription
data
object-
response data
inchi
stringInChI=1S/C9H8O4/c1-6(10)13-8-5-3-2-4-7(8)9(11)12/h2-5H,1H3,(H,11,12)
Structure Inchi
names
array[ "Aspirin", "2-acetyloxybenzoic acid" ]
Structure Names
formula
stringC9H8O4
Molecular formula
patents
objectPlease check the form: OpenPatentsItem
Patent List. Only return top 100, can retrieve the full set by "Chemical Structure Full Patent List" API.
total
integer<int32>1000
Total Patent Count
patents
arrayPlease check the form: OpenPatentItem
Patent List
pn
stringJP1999068462A
Patent PN
patent_id
string9050f544-32cf-4809-8036-fc577b69be48
Patent ID
synonyms
array[ "CDX" ]
Synonyms
inchi_key
stringBSYNRYMUTXBXSQ-UHFFFAOYSA-N
InchiKey
iupac_name
string2-acetyloxybenzoic acid
IUPAC name
mol_weight
number<double>363.39
Mol Weight
canonical_smiles
stringCC(=O)OC1=CC=CC=C1C(O)=O
Structure Canonical Smiles
cross_references
objectOpenCompoundPubChemDTO
Cross References
zinc
objectPlease check the form: ValueUrlDTO
ZINC
url
stringhttp://pubchem.ncbi.nlm.nih.gov/compound/70372773
url
value
string70372773
value
chebi
objectPlease check the form: ValueUrlDTO
ChEBI
mcule
objectPlease check the form: ValueUrlDTO
Mcule
comptox
objectPlease check the form: ValueUrlDTO
CompTox
fda_srs
objectPlease check the form: ValueUrlDTO
FDA SRS
nih_cli
objectPlease check the form: ValueUrlDTO
NIH Clinical Collection
drugbank
objectPlease check the form: ValueUrlDTO
DrugBank
pharmgkb
objectPlease check the form: ValueUrlDTO
PharmGKB
pub_chem
arrayPlease check the form: ValueUrlDTO
PubChem
bindingdb
objectPlease check the form: ValueUrlDTO
BindingDB
emolecules
objectPlease check the form: ValueUrlDTO
eMolecules
nmrshiftdb
objectPlease check the form: ValueUrlDTO
NMRShiftDB
phamacology
objectPlease check the form: ValueUrlDTO
Guide to Pharmacology
human_metabolome
objectPlease check the form: ValueUrlDTO
Human Metabolome Database
isometric_smiles
stringCC(=O)OC1=CC=CC=C1C(O)=O
Structure Isometric Smiles
status
Required
booleanfalse
Status
error_msg
stringThe request parameter format is incorrect!
Error Message
error_code
Required
integer0
Error Code

Success Response Example

Example of a successful API response

JSON
{
  "data": {
    "inchi": "InChI=1S/C9H8O4/c1-6(10)13-8-5-3-2-4-7(8)9(11)12/h2-5H,1H3,(H,11,12)",
    "names": [
      "Aspirin",
      "2-acetyloxybenzoic acid"
    ],
    "formula": "C9H8O4",
    "patents": {
      "total": 1000,
      "patents": [
        {
          "pn": "JP1999068462A",
          "patent_id": "9050f544-32cf-4809-8036-fc577b69be48"
        }
      ]
    },
    "synonyms": [
      "CDX"
    ],
    "inchi_key": "BSYNRYMUTXBXSQ-UHFFFAOYSA-N",
    "iupac_name": "2-acetyloxybenzoic acid",
    "mol_weight": 363.39,
    "canonical_smiles": "CC(=O)OC1=CC=CC=C1C(O)=O",
    "cross_references": {
      "zinc": {
        "url": "http://pubchem.ncbi.nlm.nih.gov/compound/70372773",
        "value": 70372773
      },
      "chebi": {
        "url": "http://pubchem.ncbi.nlm.nih.gov/compound/70372773",
        "value": 70372773
      },
      "mcule": {
        "url": "http://pubchem.ncbi.nlm.nih.gov/compound/70372773",
        "value": 70372773
      },
      "comptox": {
        "url": "http://pubchem.ncbi.nlm.nih.gov/compound/70372773",
        "value": 70372773
      },
      "fda_srs": {
        "url": "http://pubchem.ncbi.nlm.nih.gov/compound/70372773",
        "value": 70372773
      },
      "nih_cli": {
        "url": "http://pubchem.ncbi.nlm.nih.gov/compound/70372773",
        "value": 70372773
      },
      "drugbank": {
        "url": "http://pubchem.ncbi.nlm.nih.gov/compound/70372773",
        "value": 70372773
      },
      "pharmgkb": {
        "url": "http://pubchem.ncbi.nlm.nih.gov/compound/70372773",
        "value": 70372773
      },
      "pub_chem": [
        {
          "url": "http://pubchem.ncbi.nlm.nih.gov/compound/70372773",
          "value": 70372773
        }
      ],
      "bindingdb": {
        "url": "http://pubchem.ncbi.nlm.nih.gov/compound/70372773",
        "value": 70372773
      },
      "emolecules": {
        "url": "http://pubchem.ncbi.nlm.nih.gov/compound/70372773",
        "value": 70372773
      },
      "nmrshiftdb": {
        "url": "http://pubchem.ncbi.nlm.nih.gov/compound/70372773",
        "value": 70372773
      },
      "phamacology": {
        "url": "http://pubchem.ncbi.nlm.nih.gov/compound/70372773",
        "value": 70372773
      },
      "human_metabolome": {
        "url": "http://pubchem.ncbi.nlm.nih.gov/compound/70372773",
        "value": 70372773
      }
    },
    "isometric_smiles": "CC(=O)OC1=CC=CC=C1C(O)=O"
  },
  "status": true,
  "error_code": 0
}

Error Codes

List of possible error codes returned by this endpoint

Business Errors

Error CodeDescription
68300004Invalid parameter!
68300005Search api failure!
68300006Analytic basic access error!
68300007Bad request!
68300008Service error, please try again later!
68300010The file does not comply with upload specifications!

Platform Errors

Error CodeDescription
67200000API call exceeds the total limit set by the platform!
67200001API call exceeds the total limit set by the platform!
67200002The current call rate is too fast, exceeding the current configuration limit QPS!
67200003The key and secret parameters for applying for the token are incorrect or the client has been disabled!
67200004The requested api does not have permission. Please contact our support personnel!
67200005Insufficient account balance/number of calls!
67200006The client has exceeded the activation validity period!
67200007The current call exceeds the configured usage limit of the day!
67200008Please check if the required apikey in the query parameter has been transmitted!
67200009The apikey does not match the passed bearerToken. Please check if a valid token is being used!
67200012The request is illegal!
67200100The current server status is busy, request response timeout!
67200101The API requested currently does not exist. Please check the request path!

HTTP Status Codes

Status CodeDescription
0Success
401Unauthorized
403Forbidden
404Not Found
50400001Invalid parameter.
50404002Unable to find related records.

Performance Metrics

Expected performance characteristics for this endpoint

Normal Response Time

5000 ms

Max Response Time

10000 ms